### Enumeration

# Shell SnippetHook

since: 14

#### Declaration

    enum Shell.SnippetHook

#### Description [src]

Temporary hack to work around Cogl not exporting CoglSnippetHook in the 1.0 API. Don’t use.

Available since: 14

#### Members

`SHELL_SNIPPET_HOOK_VERTEX`
  No description available.
  - Value: `0`
  - Nickname: `vertex`
  - Available since: 14
`SHELL_SNIPPET_HOOK_VERTEX_TRANSFORM`
  No description available.
  - Value: `1`
  - Nickname: `vertex-transform`
  - Available since: 14
`SHELL_SNIPPET_HOOK_FRAGMENT`
  No description available.
  - Value: `2048`
  - Nickname: `fragment`
  - Available since: 14
`SHELL_SNIPPET_HOOK_TEXTURE_COORD_TRANSFORM`
  No description available.
  - Value: `4096`
  - Nickname: `texture-coord-transform`
  - Available since: 14
`SHELL_SNIPPET_HOOK_LAYER_FRAGMENT`
  No description available.
  - Value: `6144`
  - Nickname: `layer-fragment`
  - Available since: 14
`SHELL_SNIPPET_HOOK_TEXTURE_LOOKUP`
  No description available.
  - Value: `6145`
  - Nickname: `texture-lookup`
  - Available since: 14